Cette page n'est pas disponible en français. La version anglaise est affichée.
Currencies
Methods for listing and retrieving supported currencies in B2BINPAY DeFi API
Authorization
ApiKeyAuth x-api-key<token>
Provide API key in X-API-Key header
In: header
Query Parameters
sortBy?string
Default
"createdAt"Value in
- "createdAt"
- "updatedAt"
- "cmcId"
sortOrder?string
Default
"desc"Value in
- "asc"
- "desc"
symbol?string
name?string
chainId?string
Chain ID
address?|
Blockchain address in either Ethereum or Tron format (depending on the context)
isNative?boolean|string
isScam?boolean|string
isVerified?boolean|string
Response Body
application/json
curl -X GET "https://example.com/api/v1/public/currencies"[ { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" }]Authorization
ApiKeyAuth x-api-key<token>
Provide API key in X-API-Key header
In: header
Path Parameters
id*string
The unique ID of the currency, ("{chainId}" or "{chainId}-{contractAddress}")
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/api/v1/public/currencies/1"{ "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png"}Empty
Dernière mise à jour le